/*
 * CCar.h
 *
 *  Created on: 2016/3/15
 *      Author: User
 */

#ifndef CCAR_H_
#define CCAR_H_

#include "motor.h"

class CCar {
protected:
	CDcMotor m_MotorL;
	CDcMotor m_MotorR;
	float m_SpeedL, m_SpeedR;
	bool m_bIsStarted;


public:
	CCar(int MotorL_BaseAddress, int MotorR_BaseAddress);
	~CCar();

	void Start(void);
	void Stop();
	void Pause();
	void Resume();
	bool IsStarted();

	void SetSpeed(float Speed);
	void SetSpeed(float SpeedL, float SpeedR);

	void SetInputPower(alt_u16 mV);


};

#endif /* CCAR_H_ */
