module 	S_WHELL  (
input      CLOCK_50,
input      START_N , 
input      SFB, 
input      EN, 
output     OFB , 
output reg PLAY
) ; 

parameter SEC  = 25000000; 
//---- WIRE/REG---- 
reg [31:0]  TIMER    ;  
reg [31:0]  DELAY    ;  
reg         rSTART_N ; 

assign  OFB = PLAY? SFB : 0  ; 

always @( posedge  CLOCK_50 )  begin 
  if ( DELAY < SEC ) DELAY<=DELAY+1 ; 
  else  begin 
       rSTART_N <=START_N ; 
       if ( ~rSTART_N & START_N & EN ) begin 
        TIMER <=0 ;
        PLAY  <=1 ; 
       end
       else  begin 
	    if  ( TIMER > SEC )  PLAY <=0; 
	    else  TIMER <= TIMER +1  ;
       end
  end 		 
end	
	
endmodule 