# file: nios2_sdk_shell_bashrc
#
# 2010.04.06 dvb
#
# +------------------------------------------------
# | This is the Nios II Kit SDK Shell rc file
# |
# | It calls the standard SOPC Builder rc file, first, and
# | then patches a few things up to do with replicated
# | scripts and revisions, so that the ones provided
# | with Nios II take precedence.
# |

# |
# | call the SOPC Builder standard script
# |

. "$QUARTUS_ROOTDIR/sopc_builder/bin/nios_bash"

# set the QUARTUS_BINDIR variable
export QUARTUS_BINDIR=${QUARTUS_ROOTDIR}/bin

# |
# | Alias things we like very much
# |

alias nb=nios2-build
alias nios-build=nios2-build
alias nr=nios2-run
alias nios-run=nios2-run
alias nd=nios2-debug
alias nios-debug=nios2-debug
alias nc=nios2-console
alias nios-console=nios2-console

export QUARTUS_BINDIR=$QUARTUS_BIN

# ya-qun chang add
#generate selector.bin
$SOPC_KIT_NIOS2/nios2_command_shell.sh sof2flash --input=DE0_NANO_SMART_CAR.sof --output=DE0_NANO_SMART_CAR_HW.flash --epcs --verbose


$SOPC_KIT_NIOS2/nios2_command_shell.sh elf2flash --input=RemoteCar.elf --output=DE0_NANO_SMART_CAR_SW.flash --epcs --after=DE0_NANO_SMART_CAR_HW.flash --verbose

#$SOPC_KIT_NIOS2/bin/elf2flash --epcs --after=DE0_NANO_SMART_CAR_HW.flash --input=RemoteCar.elf --output=DE0_NANO_SMART_CAR_SW.flash

$SOPC_KIT_NIOS2/bin/gnu/H-x86_64-mingw32/bin/nios2-elf-objcopy -I srec -O binary DE0_NANO_SMART_CAR_HW.flash DE0_NANO_SMART_CAR_HW.bin 
$SOPC_KIT_NIOS2/bin/gnu/H-x86_64-mingw32/bin/nios2-elf-objcopy -I srec -O binary DE0_NANO_SMART_CAR_SW.flash DE0_NANO_SMART_CAR_SW.bin
cat DE0_NANO_SMART_CAR_HW.bin DE0_NANO_SMART_CAR_SW.bin > DE0_NANO_SMART_CAR.bin

#download
$SOPC_KIT_NIOS2/bin/bin2flash --epcs --base=0x04001000 --location=0x0 --input=DE0_NANO_SMART_CAR.bin --output=DE0_NANO_SMART_CAR.flash
$QUARTUS_BINDIR/nios2-flash-programmer.exe --epcs --base=0x04001000 DE0_NANO_SMART_CAR.flash --override=nios2-flash-override.txt

# remove exit

# End of file
